Access
Provision an enabled instance member or service account with an optional initial API key
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
- body
email*stringLength
3 <= length <= 320name*stringLength
1 <= length <= 100password?stringLength
12 <= length <= 128role?stringValue in
"admin""member"joinDefaultWorkspace?booleanapiKey?Response for status 201
application/json- response
membership*apiKey?curl -X POST 'https://postdot.example/api/access/members' \
-H 'Content-Type: application/json' \
-d '{
"email": "string",
"name": "string"
}'Example Response
{
"membership": {
"id": "string",
"userId": "string",
"email": "string",
"name": "string",
"role": "admin",
"state": "enabled",
"createdAt": 0,
"updatedAt": 0
},
"apiKey": {
"key": {
"id": "string",
"name": "string",
"tokenPrefix": "string",
"projectAccess": "all",
"actionAccess": "all",
"expiresAt": 0,
"createdAt": 0,
"updatedAt": 0
},
"token": "string"
}
}